Bug 1787997 - Touchscreen doesn't work on Dell XPS 13 2-in-1 7390
Summary: Touchscreen doesn't work on Dell XPS 13 2-in-1 7390
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 31
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-06 05:31 UTC by Andrey Sitnik
Modified: 2020-11-24 20:20 UTC (History)
19 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-24 20:20:03 UTC
Type: Bug


Attachments (Terms of Use)
kernel log (86.15 KB, text/plain)
2020-01-06 05:31 UTC, Andrey Sitnik
no flags Details

Description Andrey Sitnik 2020-01-06 05:31:23 UTC
Created attachment 1650020 [details]
kernel log

1. Please describe the problem:

Touchscreen doesn’t work on Dell XPS 13 2-in-1 7390.


2. What is the Version-Release number of the kernel:

I tried both on:

* 5.4.7-200.fc31 from koji.fedoraproject.org
* 5.3.16-300.fc31


3. Did it work previously in Fedora? If so, what kernel version did the issue
   *first* appear?  Old kernels are available for download at
   https://koji.fedoraproject.org/koji/packageinfo?packageID=8 :

It didn’t work before


4. Can you reproduce this issue? If so, please provide the steps to reproduce
   the issue below:

1. Load Fedora on Dell XPS 13 2-in-1 7390
2. Update kernel to the latest version
3. Try to touch buttons in UI


5. Does this problem occur with the latest Rawhide kernel? To install the
   Rawhide kernel, run ``sudo dnf install fedora-repos-rawhide`` followed by
   ``sudo dnf update --enablerepo=rawhide kernel``:

I wan’t able to install kernel 5.5 because of:

```
warning: /var/cache/dnf/rawhide-2d95c80a1fa0a67d/packages/kernel-5.5.0-0.rc4.git2.1.fc32.x86_64.rpm: Header V3 RSA/SHA256 Signature, key ID 12c944d0: NOKEY
Fedora - Rawhide - Developmental packages for t 620 kB/s | 1.6 kB     00:00    
GPG key at file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-31-x86_64 (0x3C3359C4) is already installed
The GPG keys listed for the "Fedora - Rawhide - Developmental packages for the next Fedora release" repository are already installed but they are not correct for this package.
Check that the correct key URLs are configured for this repository.. Failing package is: kernel-5.5.0-0.rc4.git2.1.fc32.x86_64
 GPG Keys are configured as: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-31-x86_64
Public key for kernel-core-5.5.0-0.rc4.git2.1.fc32.x86_64.rpm is not installed. Failing package is: kernel-core-5.5.0-0.rc4.git2.1.fc32.x86_64
 GPG Keys are configured as: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-31-x86_64
Public key for kernel-modules-5.5.0-0.rc4.git2.1.fc32.x86_64.rpm is not installed. Failing package is: kernel-modules-5.5.0-0.rc4.git2.1.fc32.x86_64
 GPG Keys are configured as: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-31-x86_64
The downloaded packages were saved in cache until the next successful transaction.
You can remove cached packages by executing 'dnf clean packages'.
Error: GPG check FAILED
```


6. Are you running any modules that not shipped with directly Fedora's kernel?:

The problem can be reproduced on Live USB


7. Please attach the kernel logs. You can get the complete kernel log
   for a boot with ``journalctl --no-hostname -k > dmesg.txt``. If the
   issue occurred on a previous boot, use the journalctl ``-b`` flag.

Comment 1 Andrey Sitnik 2020-01-06 05:34:23 UTC
According to this article, touch-screen problem (related to intel_lpss_pci) was fixes in kernel 5.4 and we can fix it in Fedora 31 by compiling kernel manually:
https://medium.com/@claudiajkang/fedora31-setting-touchscreen-in-dell-xps-13-7390-2-in-1-1535546dfc50

Also, users of other distros said that the problem was fixed on kernel 5.4.

But Fedora’s kernel 5.4 does not fix the problem.

Comment 2 Hans de Goede 2020-01-06 09:40:42 UTC
Andrey, Thank you for your bug report. Looking at the medium post you linked to, the main difference between the official Fedora kernel builds and the manual build done there is changing the setting for the MFD Intel LPSS PCI driver from building it as a module to building it into the main kernel image.

I've started a test/scratch Fedora kernel build with this configuration change:
https://koji.fedoraproject.org/koji/taskinfo?taskID=40178056

Note ATM this is still building (this takes a couple of hours), once it is done building, see:
https://fedorapeople.org/~jwrdegoede/kernel-test-instructions.txt
for some generic instructions for installing a kernel directly from koji.

Please let us know if this build fixes the issue, then we can make the config change part of the next Fedora kernel update.

Comment 3 Andrey Sitnik 2020-01-06 16:14:02 UTC
Yeap, the touchscreen was fixed on `kernel-5.4.7-200.rhbz1787997` (of course, I was forced to disable Secure Boot to load this kernel).

Comment 4 Hans de Goede 2020-01-06 18:13:53 UTC
(In reply to Andrey Sitnik from comment #3)
> Yeap, the touchscreen was fixed on `kernel-5.4.7-200.rhbz1787997` (of
> course, I was forced to disable Secure Boot to load this kernel).

Thank you for testing, I've pushed the config changes to the kernel package's git repo, so the next official (and signed) kernel build will include the fix for this.

Comment 5 Andrey Sitnik 2020-01-06 19:28:58 UTC
Wow, it was fast. Thanks 😸

Comment 6 Hans de Goede 2020-01-06 19:34:14 UTC
Just to be clear the build which will include the changes is NOT 5.4.8-200 I pushed my changes just _after_ that one was pushed to the buildsystem. So the one which will have the fix will either be 5.4.8-201 or 5.4.9-200 (or 5.4.10-200, or some such).

Comment 7 Ben Cotton 2020-11-03 16:06:35 UTC
This message is a reminder that Fedora 31 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 31 on 2020-11-24.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '31'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 31 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Ben Cotton 2020-11-24 20:20:03 UTC
Fedora 31 changed to end-of-life (EOL) status on 2020-11-24. Fedora 31 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.